import request from '@/utils/request'
import config from '@/utils/config'

export function getDcIntroducerApplicants(query) {
  return request({
    url: config.BASE_URL + '/getDcIntroducerApplicants',
    method: 'get',
    params: query
  })
}
export function queryDcIntroducerApplicants(query) {
  return request({
    url: config.BASE_URL + '/queryDcIntroducerApplicants',
    method: 'post',
    params: query
  })
}
export function getConsultants() {
  return request({
    url: config.BASE_URL + '/getConsultants',
    method: 'get'
  })
}
export function getJlAdminUsers() {
  return request({
    url: config.BASE_URL + '/getJlAdminUsers',
    method: 'get'
  })
}
export function updateDcIntroducerApplicant(query) {
  return request({
    url: config.BASE_URL + '/updateDcIntroducerApplicant',
    method: 'post',
    params: query
  })
}
export function queryDcIntroducers(query) {
  return request({
    url: config.BASE_URL + '/queryDcIntroducers',
    method: 'post',
    params: query
  })
}
export function queryDcIntroducerExtracts(query) {
  return request({
    url: config.BASE_URL + '/queryDcIntroducerExtracts',
    method: 'post',
    params: query
  })
}
export function updateDcIntroducerExtract(query) {
  return request({
    url: config.BASE_URL + '/updateDcIntroducerExtract',
    method: 'post',
    params: query
  })
}
export function updateDcIntroducer(query) {
  return request({
    url: config.BASE_URL + '/updateDcIntroducer',
    method: 'post',
    params: query
  })
}
export function checkDcIntroducers(query) {
  return request({
    url: config.BASE_URL + '/checkDcIntroducers',
    method: 'get',
    params: query
  })
}
export function queryOneDcIntroducer(query) {
  return request({
    url: config.BASE_URL + '/queryOneDcIntroducer',
    method: 'get',
    params: query
  })
}
export function delAccountNumber(query) {
  return request({
    url: config.BASE_URL + '/delAccountNumber',
    method: 'get',
    params: query
  })
}
export function getDcChannels() {
  return request({
    url: config.BASE_URL + '/getDcChannels',
    method: 'get'
  })
}
export function getDcReport(query) {
  return request({
    url: config.BASE_URL + '/getDcReport',
    method: 'POST',
    params: query
  })
}
export function queryDcIntroduceLogs(query) {
  return request({
    url: config.BASE_URL + '/queryDcIntroduceLogs',
    method: 'post',
    params: query
  })
}
export function queryDcILbyrebate(query) {
  return request({
    url: config.BASE_URL + '/queryDcILbyrebate',
    method: 'post',
    params: query
  })
}
export function insertDcIntroduceLog(query) {
  return request({
    url: config.BASE_URL + '/insertDcIntroduceLog',
    method: 'post',
    params: query
  })
}
export function auditingDC(query) {
  return request({
    url: config.BASE_URL + '/auditingDC',
    method: 'get',
    params: query
  })
}

